Name:           q4wine
Version:        1.1
Release:        2%{?dist}
Summary:        Qt4 GUI for wine

Group:          Applications/Emulators
License:        GPLv3
URL:            http://q4wine.brezblock.org.ua/
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  qt-devel cmake
BuildRequires:  qtsingleapplication-devel
BuildRequires:  desktop-file-utils
BuildRequires:  fuseiso icoutils
Requires:       wine-core fuseiso icoutils

ExclusiveArch:  %{ix86} x86_64 %{arm}

%description
Q4Wine is a qt4 GUI for wine. It will help
you manage wine prefixes and installed applications.

General features:
* Can export QT color theme into wine colors settings.
* Can easy work with different wine versions at same time;
* Easy creating, deleting and managing prefixes (WINEPREFIX);
* Easy controlling for wine process;
* Autostart icons support;
* Easy cd-image use;
* You can extract icons from PE files (.exe .dll);
* Easy backup and restore for managed prefixes.
* Winetriks support.

%prep
%setup -qn %{name}-%{version}
rm -r src/qtsingleapplication

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DWITH_SYSTEM_SINGLEAPP=ON -DUSE_GZIP=ON -DRELEASE=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-validate %{buildroot}%{_datadir}/applications/q4wine.desktop

%post
update-desktop-database &> /dev/null ||:
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/q4wine*
%{_libdir}/q4wine
%{_datadir}/applications/q4wine.desktop
%{_mandir}/man1/q4wine*.gz
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/q4wine.svg
%{_datadir}/q4wine

%changelog
* Thu Nov 14 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1-2
- Fix setup macros parameters.

* Thu Nov 14 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.1-2
- Update to 1.1 release.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2.r3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 22 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.0-1.r3
- Update to 1.0-r3 release.

* Thu Mar 07 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.0-1.r2
- Update to 1.0-r2 release.

* Thu Feb 12 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 1.0-1.r1
- Update to 1.0-r1 release.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.121-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 23 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 0.121-3
- WINE is supported on ARM too

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.121-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 14 2011 Dmitrij S. Kryzhevich <krege@land.ru> - 0.121-1
- Update to 0.121.
- Some spec-file cleanup.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.120-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 28 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.120-6
- Upstream sources updated to 0.120-r1.
- Remove bundle qtsingleapplication while rpm building.
- Drop qtsingleapplication patch (applied in upstream).
- Drop fix for LICENSE file (applied in upstream).

* Wed Nov 10 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.120-5
- Use system qtsingleapplication.

* Mon Nov 01 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.120-4
- Add ExclusiveArch, there no wine for non *86 archs.

* Wed Oct 27 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.120-3
- Put desktop-file-validate to proper place.
- Own %%{_libdir}/q4wine.

* Tue Oct 26 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.120-2
- post and postun scripts added.
- Source0 changed for Packaging:SourceURL.
- fix for © symbol in LICENSE.

* Wed Oct 06 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.120-1
- initial build.
